Subject: Re: bug#61988: error compiling emacs

From: Ugo Tomei <[email-masked]>
Date: Wed, 8 Mar 2023 09:32:57 +0100

Hi all,

this is the log with patch applied, libwebpdecoder3 installed, and 
compiled with this commands:

cd /app
git clone https://github.com/emacs-mirror/emacs.git
cd /app/emacs
git checkout master
git pull
./autogen.sh
./configure
make bootstrap -j 32
sudo make install
ls -la /usr/local/bin/emacs

compiled well:

lrwxrwxrwx 1 root root 13 mar  8 09:28 /usr/local/bin/emacs -> emacs-30.0.50

Il 08/03/23 01:09, Po Lu ha scritto:
> Eli Zaretskii <[email-masked]> writes:
>
>>> From: "Ugo Tomei" <[email-masked]>
>>> Cc: <[email-masked]>,
>>> 	<[email-masked]>
>>> Date: Tue, 7 Mar 2023 17:44:26 +0100
>>>
>>> In the emacs dir I see config.log:
>>>
>>> configure:14159: checking for libwebpdemux >= 0.6.0
>>> configure:14323: gcc -o conftest  -g3 -O2 -pthread -isystem
>>> /usr/include/librsvg-2.0 -isystem /usr/include/gdk-pixbuf-2.0 -isystem
>>> /usr/include/x86_64-linux-gnu -isystem /usr/include/libmount -isystem
>>> /usr/include/blkid -isystem /usr/include/cairo -isystem
>>> /usr/include/glib-2.0 -isystem /usr/lib/x86_64-linux-gnu/glib-2.0/include
>>> -isystem /usr/include/pixman-1 -isystem /usr/include/uuid -isystem
>>> /usr/include/freetype2 -isystem /usr/include/libpng16 -isystem
>>> /usr/include/webp       conftest.c -lsqlite3  -lsqlite3 -lX11   >&5
>>> | #define HAVE_WEBP 1
>>> pkg_cv_WEBP_CFLAGS=-I/usr/include/webp
>>> WEBP_CFLAGS='-isystem /usr/include/webp'
>>> WEBP_LIBS='-lwebpdemux'
>>>
>>> I attached the log.
>>> [...]
>>> configure:14159: checking for libwebpdemux >= 0.6.0
>>> configure:14166: $PKG_CONFIG --exists --print-errors "$WEBP_MODULE"
>>> configure:14169: $? = 0
>>> configure:14183: $PKG_CONFIG --exists --print-errors "$WEBP_MODULE"
>>> configure:14186: $? = 0
>>> configure:14224: result: yes
>> I'm stumped: why doesn't it test WebPGetInfo?  Po Lu, do you
>> understand what happened here?
> [email-masked], did you forget to run:
>
>    ./autogen.sh
>
> after applying the change?